if status is-interactive

    set -U EDITOR nvim
    set fish_greeting ""

    any-nix-shell fish --info-right | source

    # THINGS
    set fish_color_autosuggestion brblack
    set fish_color_command normal
    set fish_color_comment brblack
    set fish_color_keyword normal --underline
    set fish_color_quote green
    set fish_color_redirection green
    set fish_color_end brblack
    set fish_color_error brred
    set fish_color_param normal
    set fish_color_option green
    set fish_color_selection black --background green
    set fish_color_operator green
    set fish_color_escape brblack
    set fish_color_cwd yellow
    set fish_color_user magenta
    set fish_color_host brblack
    set fish_color_cancel red
    set fish_color_valid_path yellow

    export PATH="$PATH:~Downloads/flutter/flutter/bin"

    # fixes flatpak hopefully
    set -l xdg_data_home $XDG_DATA_HOME ~/.local/share
    set -gx --path XDG_DATA_DIRS $xdg_data_home[1]/flatpak/exports/share:/var/lib/flatpak/exports/share:/usr/local/share:/usr/share

    for flatpakdir in ~/.local/share/flatpak/exports/bin /var/lib/flatpak/exports/bin
        if test -d $flatpakdir
            contains $flatpakdir $PATH; or set -a PATH $flatpakdir
        end
    end
end
